Module jdk.accessibility
Package com.sun.java.accessibility.util

## Interface TopLevelWindowListener

- All Superinterfaces:
    `EventListener`

      public interface TopLevelWindowListener
      extends EventListener

  The `TopLevelWindowListener` interface is used by the `EventQueueMonitor` class to notify an interested party when a top level window is created or destroyed in the Java Virtual Machine. Classes wishing to express an interest in top level window events should implement this interface and register themselves with the `EventQueueMonitor` by calling the `EventQueueMonitor.addTopLevelWindowListener` class method.
  See Also:
    `EventQueueMonitor`, `EventQueueMonitor.addTopLevelWindowListener(com.sun.java.accessibility.util.TopLevelWindowListener)`, `EventQueueMonitor.removeTopLevelWindowListener(com.sun.java.accessibility.util.TopLevelWindowListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `topLevelWindowCreated​(Window w)` | Invoked when a new top level window has been created.
    `void` | `topLevelWindowDestroyed​(Window w)` | Invoked when a top level window has been destroyed.

- - ### Method Detail

    - #### topLevelWindowCreated

          void topLevelWindowCreated​(Window w)

      Invoked when a new top level window has been created.
      Parameters:
        `w` - the Window that was created

    - #### topLevelWindowDestroyed

          void topLevelWindowDestroyed​(Window w)

      Invoked when a top level window has been destroyed.
      Parameters:
        `w` - the Window that was destroyed